<?php 
#####################################################
##-------------------------------------------------##
##           RY SIMPLE - Version 1.0.0             ##
##-------------------------------------------------##
## Copyright = Raya Web Design - 2010              ##
## Date      = 28 October 2010                     ##
## License   = free template                       ##
## Author    = Heri siswanto                       ##
## Websites  = http://www.rayawebdesign.com        ##
##                                                 ##
#####################################################
defined( '_JEXEC' ) or die( 'Restricted access' );
$siteName	= $tmpConfig->sitename();

?>
<head>
	<?php if( $ry_googlekey ) { ?><meta name="google-site-verification" content="<?php echo $ry_googlekey; ?>" /><?php } ?>
	<?php if( $ry_yahookey ) { ?><meta name="y_key" content="<?php echo $ry_yahookey;?>" /><?php } ?>
	<?php if($ry_msnkey) {?><meta name="msvalidate.01" content="<?php echo $ry_msnkey; ?>" /><?php } ?>
	
	<jdoc:include type="head" />
	<?php JHTML::_('behavior.mootools'); ?>
	
	<?php if ( $ry_compres == 1 ) { ?>
		<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/css.gzip.php" type="text/css" />
	<?php } else { ?>
		<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/default.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/layout.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/template.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/typo.css" type="text/css" />
	<?php } ?>
	<link rel="stylesheet" href="<?php echo $tmpConfig->templateurl(); ?>/css/shCoreDefault.css" type="text/css" />
	
	<script language="javascript" type="text/javascript" src="<?php echo $tmpConfig->templateurl(); ?>/libs/js/ry.script.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo $tmpConfig->templateurl(); ?>/libs/js/DD_roundies_0.0.2a-min.js"></script>
	<script type="text/javascript">
		/* IE only 
		DD_roundies.addRule('.roundify', '10px');*/
		
		/* varying radii, IE only 
		DD_roundies.addRule('.something_else', '10px 4px');*/
		 
		/* varying radii, "all" browsers */
		DD_roundies.addRule('.ry-search .inputbox', '3px 3px', true);
		DD_roundies.addRule('dl.tabs dt', '3px 3px 0 0', true);
		DD_roundies.addRule('a.readon', '3px 3px', true);
		DD_roundies.addRule('#mainnav', '3px 3px', true);
	</script>
	
	<script language="javascript" type="text/javascript" src="<?php echo $tmpConfig->templateurl(); ?>/libs/js/shCore.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo $tmpConfig->templateurl(); ?>/libs/js/shBrushJScript.js"></script>
	<script type="text/javascript">SyntaxHighlighter.all();</script>
</head>
<body id="bd-bg" class="fs<?php echo $ry_fontsize; ?>">
	
	<!-- RY-TOP BEGIN -->
	<div id="ry-top" class="wrap" >
		<div class="main clearfix">
			<div class="ry-path">
				<jdoc:include type="modules" name="breadcrumb" />
			</div>
			<div class="ry-search">
				<jdoc:include type="modules" name="ry-search" />
			</div>
		</div>
	</div>
	
	<!-- BEGIN HEADER -->
	<div id="ry-header" class="wrap clearfix">
		<div class="main clearfix">
			<div id="header-logo">
				<?php if( $tmpConfig->isContentPage() ) { ?>
				<div class="logo">
					<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
				</div>
				<?php } else { ?>
				<h1 class="logo">
					<a href="index.php" title="<?php echo $siteName; ?>"><span><?php echo $siteName; ?></span></a>
				</h1>
				<?php } ?>
			</div>
			
			<div id="mainnav" class="wrap clearfix">
				<?php echo $main_menu; ?>
			</div>
		
		</div>
	</div>
	
	<!-- MAIN BEGIN -->
	<div id="ry-container" class="wrap clearfix">
		<div class="main clearfix">
			
			<jdoc:include type="message" />
			<div class="main-content" style="width:<?php echo $main_width;?>%; ">
				<?php if ( $tmpConfig->isContentPage() || $tmpConfig->isFrontpage() || $tmpConfig->isCategory() || $tmpConfig->isSection() ) { ?>
					<jdoc:include type="component" />
				<?php } else { ?>
					<div class="main-comp">
						<jdoc:include type="component" />
					</div>
				<?php } ?>
			</div>
			
			<div class="ry-right" style="width:<?php echo $sidebar_width;?>%; ">
				
				<?php if ( $ry_tab == 1 && ( $ry_tab1 || $ry_tab2 || $ry_tab3 ) ) : ?>
				<div class="right-tab">
					<?php 
						jimport('joomla.html.pane');
						$pane =& JPane::getInstance('tabs', 0); 
						echo $pane->startPane( 'pane' );
						
						if ( $this->countModules('tab1') ) {
							echo $pane->startPanel( $ry_tab1, 'panel1' );
							echo '<jdoc:include type="modules" name="tab1" style="rytab" />';
							echo $pane->endPanel();
						}
						
						if ( $this->countModules('tab2') ) {
							echo $pane->startPanel( $ry_tab2, 'panel2' );
							echo '<jdoc:include type="modules" name="tab2" style="rytab" />';
							echo $pane->endPanel();
						}
						
						if ( $this->countModules('tab3') ) {
							echo $pane->startPanel( $ry_tab3, 'panel3' );
							echo '<jdoc:include type="modules" name="tab3" style="rytab" />';
							echo $pane->endPanel();
						}
						
						echo $pane->endPane();
					?>
				</div>
				<?php endif; ?>
				<jdoc:include type="modules" name="right" style="ryxhtml" />
			</div>
		</div>
	</div>
	
	<!-- BOTS -->
	<?php if ( $user1 || $user2 || $user3 ) : ?>
	<div id="ry-bots" class="wrap clearfix">
		<div class="main clearfix">
			
			<?php if ( $user1 ) : ?>
			<div class="colom-bots bots-<?php echo $bots_pos1; ?>" style="width:<?php echo $user_width; ?>%">
				<jdoc:include type="modules" name="user1" style="ryxhtml" />
			</div>
			<?php endif; ?>
			<?php if ( $user2 ) : ?>
			<div class="colom-bots bots-<?php echo $bots_pos2; ?>" style="width:<?php echo $user_width; ?>%">
				<jdoc:include type="modules" name="user2" style="ryxhtml" />
			</div>
			<?php endif; ?>
			<?php if ( $user3 ) : ?>
			<div class="colom-bots bots-<?php echo $bots_pos3; ?>" style="width:<?php echo $user_width; ?>%">
				<jdoc:include type="modules" name="user3" style="ryxhtml" />
			</div>
			<?php endif; ?>
			
		</div>
	</div>
	<?php endif; ?>
	
	<!-- FOOTER -->
	<div id="ry-footer" class="wrap clearfix">
		<div class="main clearfix">
			<div class="footer-l">
				<jdoc:include type="modules" name="footer" />
			</div>
			<div class="footer-r">
				<div class="fotnav">
					<jdoc:include type="modules" name="fotnav" />
				</div>
				<!-- please do not remove the credit link from RayaWebDesign. 
				if you want to remove the credit link, please confirm to the RayaWebDesign and do a minimum donation $2-->
				Design&nbsp;by&nbsp;<a href="http://www.rayawebdesign.com/" title="Jasa Pembuatan Website Murah" target="_blank">RayaWebDesign</a>. 
				Valid&nbsp;<a href="http://validator.w3.org/check?uri=referer" title="Valid XHTML" target="_blank">XHTML</a>&nbsp;&amp;&nbsp;
				<a href="http://jigsaw.w3.org/css-validator/check/referer?profile=css3" title="Valid CSS" target="_blank">CSS</a>.
			</div>
		</div>
	</div>

<?php if( $ry_googleanal ){ echo $ry_googleanal; }  ?>
</body>