<?php 
/****************************************************
#####################################################
##-------------------------------------------------##
##           RY SIMPLE - Version 1.0.0             ##
##-------------------------------------------------##
## Copyright = Raya Web Design - 2010              ##
## Date      = 28 October 2010                     ##
## License   = free template                       ##
## Author    = Heri siswanto                       ##
## Websites  = http://www.rayawebdesign.com        ##
##                                                 ##
#####################################################
****************************************************/

defined( '_JEXEC' ) or die( 'Restricted access' );

class RYTemplateConfig {
	var $_tpl = null;
	var $template = '';

	function RYTemplateConfig ($template) {
		$this->_tpl = $template;
		$this->template = $template->template;
	}

	function sitename() {
		$config = new JConfig();
		return $config->sitename;
	}
	
	function baseUrl(){
		return JURI::base();
	}
	
	function templateurl(){
		return JURI::base()."templates/".$this->template;
	}
	
	function isContentPage(){
		return (JRequest::getCmd( 'view' ) == 'article') ;
	}
	
	function isFrontpage(){
		return (JRequest::getCmd( 'view' ) == 'frontpage') ;
	}
	
	function isCategory(){
		return (JRequest::getCmd( 'view' ) == 'category') ;
	}
	
	function isSection(){
		return (JRequest::getCmd( 'view' ) == 'section') ;
	}
	function isIE(){ // IE DETECT
		$msie='/msie/i';
		return isset($_SERVER['HTTP_USER_AGENT']) &&
			preg_match($msie,$_SERVER['HTTP_USER_AGENT']) &&
			!preg_match('/opera/i',$_SERVER['HTTP_USER_AGENT']);
	}
	
	function isIE6 () {
		return $this->browser() == 'IE6';
	}
	
	function browser () {
		$agent = $_SERVER['HTTP_USER_AGENT'];
		if ( strpos($agent, 'Gecko') )
		{
		   if ( strpos($agent, 'Netscape') )
		   {
		     $browser = 'NS';
		   }
		   else if ( strpos($agent, 'Firefox') )
		   {
		     $browser = 'FF';
		   }
		   else
		   {
		     $browser = 'Moz';
		   }
		}
		else if ( strpos($agent, 'MSIE') && !preg_match('/opera/i',$agent) )
		{
			 $msie='/msie\s(7|8\.[0-9]).*(win)/i';
		   	 if (preg_match($msie,$agent)) $browser = 'IE7';
		   	 else $browser = 'IE6';
		}
		else if ( preg_match('/opera/i',$agent) )
		{
		     $browser = 'OPE';
		}
		else
		{
		   $browser = 'Others';
		}
		return $browser;
	}
	
}

$tmpConfig = new RYTemplateConfig($this);

/* ry configure params xml */
$ry_compres		= $this->params->get("ry_gzip");
$ry_fontsize	= $this->params->get("ry_font");
$ry_tab			= $this->params->get("ry_tab");
$ry_tab1		= $this->params->get("ry_tab1");
$ry_tab2		= $this->params->get("ry_tab2");
$ry_tab3		= $this->params->get("ry_tab3");
$ry_googlekey	= $this->params->get("ry_googlekey");
$ry_yahookey	= $this->params->get("ry_yahookey");
$ry_msnkey		= $this->params->get("ry_msnkey");
$ry_googleanal	= $this->params->get("ry_googleanalytic");

/** LOAD MENU MODULE **/
$document = &JFactory::getDocument();
$module = JModuleHelper::getModule( 'mod_mainmenu' );

$renderer = $document->loadRenderer( 'module' );
$options = array( 'style' => "getmenu" );

$main_menu = false;
$main_submenu = false;

$module->params = "menutype=$ry_menu\nshowAllChildren=1";
$main_menu = $renderer->render( $module, $options );

/** COLLAPSE MODULE POSITION **/
$sidebar_width = 30;
if ( $right || $ry_tab ) {
	$main_width = 100 - ( $sidebar_width + 2 )  ;
}

if ( $user1 && $user2 && $user3 ) {
	$user_width	= ( 100 / 3 ) - ( 1 / 3 );
	$bots_pos1 	= "left";
	$bots_pos2	= "center";
	$bots_pos3	= "right";
} else if ( $user1 && $user2 ) {
	$user_width = ( 100 / 2 ) - ( 1 / 2 );
	$bots_pos1 	= "left";
	$bots_pos2	= "right";
	//$bots_pos3	= "right";
} else if ( $user1 && $user3 ) {
	$user_width = ( 100 / 2 ) - ( 1 / 2 );
	$bots_pos1 	= "left";
	//$bots_pos2	= "center";
	$bots_pos3	= "right";
} else if ( $user2 && $user3 ) {
	$user_width = ( 100 / 2 ) - ( 1 / 2 );
	//$bots_pos1 	= "left";
	$bots_pos2	= "left";
	$bots_pos3	= "right";
} else {
	$user_width = 100;
	$bots_pos1 	= "single";
	$bots_pos2	= "single";
	$bots_pos3	= "single";
}
?>