<?php
/****************************************************
#####################################################
##-------------------------------------------------##
##           RY SIMPLE - Version 1.0.0             ##
##-------------------------------------------------##
## Copyright = Raya Web Design - 2010              ##
## Date      = 28 October 2010                     ##
## License   = free template                       ##
## Author    = Heri siswanto                       ##
## Websites  = http://www.rayawebdesign.com        ##
##                                                 ##
#####################################################
****************************************************/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
 
$conf =& JFactory::getConfig();
$sitename = $conf->getValue('config.sitename');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" >
<head>
	<title><?php echo $this->error->code ?> - <?php echo $this->title; ?></title>
	<link type="image/x-icon" rel="shortcut icon" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template;?>/favicon.ico">
	<link rel="stylesheet" href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template;?>/css/error.css" type="text/css" />
</head>
<body>
	<div id="wrapper">
		<div id="sitename">
			<?php echo $sitename; ?>
		</div>
		<div id="mstop" class="clearfix">
			<div id="number">
				<span><?php echo $this->error->code ?></span>
				<a class="back" href="<?php echo $this->baseurl; ?>/index.php" title="<?php echo JText::_('Go to the home page'); ?>"><?php echo JText::_('Home Page'); ?></a>
			</div>
			
			<div id="list">
				<p><?php echo JText::_('You may not be able to visit this page because of:'); ?></p>
				<ul>
					<li><?php echo JText::_('An out-of-date bookmark/favourite'); ?></li>
					<li><?php echo JText::_('A search engine that has an out-of-date listing for this site'); ?></li>
					<li><?php echo JText::_('A mis-typed address'); ?></li>
					<li><?php echo JText::_('You have no access to this page'); ?></li>
					<li><?php echo JText::_('The requested resource was not found'); ?></li>
					<li><?php echo JText::_('An error has occurred while processing your request.'); ?></li>
				</ul>
			</div>
		</div>
		<div id="info">
			<p class="admincontact"><?php echo $this->error->message; ?></p>
			<p >
				<?php if($this->debug) :
					echo $this->renderBacktrace();
				endif; ?>
			</p>
			<p ><?php echo JText::_('If difficulties persist, please contact the system administrator of this site.'); ?></p>
		</div>
	</div>
	<div id="footer">
		<a href="http://www.joomla.org/">Joomla!</a> is Free Software released under the <a href="http://www.gnu.org/licenses/gpl-2.0.html">GNU/GPL License.</a><br />
		Design by <a href="http://rayawebdesign.com" title="Jasa Pembuatan Web" target="_blank">RayaWebDesign</a>
	</div>
</body>
</html>
